import java.awt.Frame;
import java.awt.Graphics;

public class BallWorldFrame extends Frame
{
    private static final int FrameWidth  =  600;
    private static final int FrameHeight =  400;
    private static final int Iterations  = 2000;

    private Ball ball;
    private int  counter;

    public BallWorldFrame()
    {
        super();

        setSize ( FrameWidth, FrameHeight );
        setTitle( "Ball World" );

        ball    = new Ball( 100, 100, 10, 10, 5 );
        counter = 0;
    }

    public void paint( Graphics g )
    {
        ball.paint( g );
        ball.move();
        counter++;

        if ( counter >= Iterations )
            System.exit( 0 );

        repaint();
    }
}
