import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

public class ExceptionDemo03
{
    public static void main( String[] args ) throws IOException
    {
        BufferedReader in = new BufferedReader(
                                new InputStreamReader(
                                    System.in ) );
        String inputString = null;
        int    valueToIncrement;

        System.out.println( "Enter an integer:" );
        while ( true )
            try {
                inputString = in.readLine();
                valueToIncrement = Integer.parseInt( inputString );
                break;
            }
            catch (NumberFormatException ex) {
                System.err.println( "\"" + inputString      +
                                    "\" is not an integer!" +
                                    "\nPlease try again:"   );
            }
        System.out.println( valueToIncrement + 1 );
    }
}
